Bug 24312 - Update MARC21 frameworks to Updates 28+29 (May and November 2019)
Summary: Update MARC21 frameworks to Updates 28+29 (May and November 2019)
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 24314 24328
  Show dependency treegraph
 
Reported: 2019-12-27 13:04 UTC by Bernardo Gonzalez Kriegel
Modified: 2020-01-15 23:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02, 19.05.07


Attachments
Bug 24312: Update MARC21 frameworks to Updates 28+29 (May and November 2019) (30.17 KB, patch)
2019-12-27 13:40 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24312: Update MARC21 frameworks to Updates 28+29 (May and November 2019) (30.17 KB, patch)
2019-12-27 14:22 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24312: Update MARC21 frameworks to Updates 28+29 (May and November 2019) (30.25 KB, patch)
2019-12-29 13:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24312: Update MARC21 frameworks to Updates 28+29 (May and November 2019) (30.32 KB, patch)
2020-01-06 21:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2019-12-27 13:04:49 UTC
Updates on MARC21: 28 (May 2019) and 29 (November 2019)
Comment 1 Bernardo Gonzalez Kriegel 2019-12-27 13:40:51 UTC
Created attachment 96649 [details] [review]
Bug 24312: Update MARC21 frameworks to Updates 28+29 (May and November 2019)

MARC21 format changes

Bibliographic
-------------
Update 28 (May 2019)

New subfield f in 540
New subfield g in 506,540
New subfield q in 506,540
New subfield 2 in 540
New subfield 2 in 100,110,111,130,240,
                  700,710,711,730,758
                  800,810,811,830
New subfield 7 in 856
New code b in 007/01 Sound Recording

Update 29 (November 2019)

New field 688
New subfield i in 041
New subfield t in 041
New subfield g in 751
Renamed subfield g in 041

Authority
---------
Update 28 (May 2019)

New subfield 0 and 1 in 024
Renamed subfield 2 in 024
New subfield 7 in 856

Update 29 (November 2019)
No changes

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check new fields/subfields
Comment 2 Bernardo Gonzalez Kriegel 2019-12-27 14:22:06 UTC
Created attachment 96651 [details] [review]
Bug 24312: Update MARC21 frameworks to Updates 28+29 (May and November 2019)

MARC21 format changes

Bibliographic
-------------
Update 28 (May 2019)

New subfield f in 540
New subfield g in 506,540
New subfield q in 506,540
New subfield 2 in 540
New subfield 2 in 100,110,111,130,240,
                  700,710,711,730,758
                  800,810,811,830
New subfield 7 in 856
New code b in 007/01 Sound Recording

Update 29 (November 2019)

New field 688
New subfield i in 041
New subfield t in 041
New subfield g in 751
Renamed subfield g in 041

Authority
---------
Update 28 (May 2019)

New subfield 0 and 1 in 024
Renamed subfield 2 in 024
New subfield 7 in 856

Update 29 (November 2019)
No changes

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check new fields/subfields
Comment 3 Katrin Fischer 2019-12-29 13:44:49 UTC
Created attachment 96670 [details] [review]
Bug 24312: Update MARC21 frameworks to Updates 28+29 (May and November 2019)

MARC21 format changes

Bibliographic
-------------
Update 28 (May 2019)

New subfield f in 540
New subfield g in 506,540
New subfield q in 506,540
New subfield 2 in 540
New subfield 2 in 100,110,111,130,240,
                  700,710,711,730,758
                  800,810,811,830
New subfield 7 in 856
New code b in 007/01 Sound Recording

Update 29 (November 2019)

New field 688
New subfield i in 041
New subfield t in 041
New subfield g in 751
Renamed subfield g in 041

Authority
---------
Update 28 (May 2019)

New subfield 0 and 1 in 024
Renamed subfield 2 in 024
New subfield 7 in 856

Update 29 (November 2019)
No changes

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check new fields/subfields

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-01-02 12:47:04 UTC
Should not we update the other languages as well?
Comment 5 Katrin Fischer 2020-01-02 13:32:22 UTC
(In reply to Jonathan Druart from comment #4)
> Should not we update the other languages as well?

Bernardo sent the information to the koha-translate mailing list that there are not strings to translate - I'd maybe give it a bit longer so we catch more translations. - Say 2 weeks? (holidays...)
Comment 6 Bernardo Gonzalez Kriegel 2020-01-02 18:25:09 UTC
(In reply to Katrin Fischer from comment #5)
> (In reply to Jonathan Druart from comment #4)
> > Should not we update the other languages as well?
> 
> Bernardo sent the information to the koha-translate mailing list that there
> are not strings to translate - I'd maybe give it a bit longer so we catch
> more translations. - Say 2 weeks? (holidays...)

In fact, I said that there are a few new strings :)

"there are small changes on MARC21 frameworks, see Bug 24312 [1]

Translation strings have been updated on https://translate.koha-community.org/projects/marc21/"

But to answer Jonathan question, we normally expect that the translation team for each language takes sql files from https://translate.koha-community.org/files/, then open a bug to update each language dir, just as Katrin did in Bug 24314

Normally we do not update language files or installed frameworks
(perhaps not the best solution, but that is what we have done in the past)
Comment 7 Jonathan Druart 2020-01-06 21:35:47 UTC
Created attachment 96865 [details] [review]
Bug 24312: Update MARC21 frameworks to Updates 28+29 (May and November 2019)

MARC21 format changes

Bibliographic
-------------
Update 28 (May 2019)

New subfield f in 540
New subfield g in 506,540
New subfield q in 506,540
New subfield 2 in 540
New subfield 2 in 100,110,111,130,240,
                  700,710,711,730,758
                  800,810,811,830
New subfield 7 in 856
New code b in 007/01 Sound Recording

Update 29 (November 2019)

New field 688
New subfield i in 041
New subfield t in 041
New subfield g in 751
Renamed subfield g in 041

Authority
---------
Update 28 (May 2019)

New subfield 0 and 1 in 024
Renamed subfield 2 in 024
New subfield 7 in 856

Update 29 (November 2019)
No changes

To test:
1) Remove all your frameworks
2) Check mandatory bibliographic and authority files load without problem
3) Check new fields/subfields

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2020-01-06 21:36:14 UTC
Should be pushed along with bug 24328.
Comment 9 Martin Renvoize 2020-01-07 15:55:15 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-01-14 01:09:30 UTC
pushed to 19.11.x branch for 19.11.02
Comment 11 Lucas Gass 2020-01-15 22:59:57 UTC
backported to 19.05.x for 19.05.07
Comment 12 Hayley Mapley 2020-01-15 23:56:54 UTC
Enhancement will not be backported to 18.11.x series.